# Uses of Enum
org.kapott.hbci.sepa.jaxb.pain_002_003_03.RestrictedSMNDACode

Packages that use RestrictedSMNDACode
Package
Description
org.kapott.hbci.sepa.jaxb.pain_002_003_03

## Uses of RestrictedSMNDACode in org.kapott.hbci.sepa.jaxb.pain_002_003_03

Fields in org.kapott.hbci.sepa.jaxb.pain_002_003_03 declared as RestrictedSMNDACode
Modifier and Type
Field
Description
`protected RestrictedSMNDACode`
RestrictedFinancialIdentificationSEPA.`id`
Methods in org.kapott.hbci.sepa.jaxb.pain_002_003_03 that return RestrictedSMNDACode
Modifier and Type
Method
Description
`static RestrictedSMNDACode`
RestrictedSMNDACode.`fromValue(String v)`
`RestrictedSMNDACode`
RestrictedFinancialIdentificationSEPA.`getId()`
Gets the value of the id property.
`static RestrictedSMNDACode`
RestrictedSMNDACode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static RestrictedSMNDACode[]`
RestrictedSMNDACode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.kapott.hbci.sepa.jaxb.pain_002_003_03 with parameters of type RestrictedSMNDACode
Modifier and Type
Method
Description
`void`
RestrictedFinancialIdentificationSEPA.`setId(RestrictedSMNDACode value)`
Sets the value of the id property.